stages:
  - generate

generate:
  stage: generate
  script:
    - openssl version # Check SSL version
    - openssl genrsa -out private.key 2048 # Generate private key 2048
    - openssl req -new -key private.key -out request.csr -subj "/C=PH/ST=State/Country/L=City/O=Organization/OU=Unit/CN=example.com/emailAddress=email@example.com" # Fill according to your own details 
    - echo "Generating a self-signed SSL certificate..."
    - openssl x509 -req -days 365 -in request.csr -signkey private.key -out certificate.crt

  artifacts:
    paths:
      - private.key
      - request.csr
      - certificate.crt

  tags:
    - windows10 # change this depending on the tag of your gitlab runner
